Subject: Re: [PATCH] Eliminate user-selectable CONFIG_MV643XX_ETH_[012]

From: Jeff Garzik <[email-masked]>
Date: Tue, 20 Feb 2007 11:27:30 -0500

Dale Farnsworth wrote:
> From: Dale Farnsworth <[email-masked]>
> 
> Remove the use of CONFIG_MV643XX_ETH_[012] variables on most
> platforms.  Instead, platform-specific code enables the ports
> supported by the hardware.  After this patch, these config
> variables are only used in arch/ppc, so also move them from
> drivers/net/Kconfig to arch/ppc/Kconfig.
> 
> Signed-off-by: Dale Farnsworth <[email-masked]>
> 
> ---
> It was a mis-feature that the supported ports were ever user-selectable.
> Which ports the hardware supports should be specified by platform-specific
> code, not by the user.
> 
>  arch/mips/momentum/jaguar_atx/platform.c |   21 ---------------------
>  arch/mips/momentum/ocelot_3/platform.c   |   21 ---------------------
>  arch/mips/momentum/ocelot_c/platform.c   |   14 --------------
>  arch/ppc/Kconfig                         |   15 +++++++++++++++
>  drivers/net/Kconfig                      |   21 ---------------------
>  5 files changed, 15 insertions(+), 77 deletions(-)

ACK.

I'll let Paul, Ralf or Andrew push this one upstream.